//******************************************************************
// NotEqualCount program
// This program counts the occurrences of "!=" in a data file
//******************************************************************
#include <iostream>
#include <fstream>    // For file I/O

using namespace std;

int main()
{
    int      count;         // Number of != operators
    char     prevChar;      // Last character read
    char     currChar;      // Character read in this loop iteration
    ifstream inFile;        // Data file

    inFile.open("myfile.dat");         // Attempt to open input file
    if ( !inFile )                     // Was it opened?
    {
        cout << "** Can't open input file **"  // No--print message
             << endl;
        return 1;                              // Terminate program
    }
    count = 0;                  // Initialize counter
    inFile.get(prevChar);       // Initialize previous value
    inFile.get(currChar);       // Initialize current value
    while (inFile)              // While previous input succeeded...
    {
        if (currChar == '=' &&  // Test for event
            prevChar == '!')
            count++;            // Increment counter
        prevChar = currChar;    // Replace previous value
                                //   with current value
        inFile.get(currChar);   // Get next value
    }
    cout << count << " != operators were found." << endl;
    return 0;
}
