//******************************************************************
// TestConvert program
// This program, a test driver for the Convert function, repeatedly
// reads in values from standard input and passes these values to
// Convert.  A negative input value signals end-of-input
//******************************************************************
#include <iostream>

using namespace std;

void Convert( int );

int main()
{
    int someInt ;    // Current input integer

    cout << "Enter an integer to be converted to binary"
         << " (negative to quit): ";
    cin >> someInt ;
    while (someInt >= 0)
    {
        if (someInt == 0)
            cout << 0;
        else
            Convert(someInt);
        cout << endl << endl
             << "Enter an integer to be converted to binary"
             << " (negative to quit): ";
        cin >> someInt ;
    }
    return 0;
}

//******************************************************************

void Convert( /* in */ int number )   // Number being converted
                                      //   to binary
// Precondition:
//     number >= 0
// Postcondition:
//     IF number > 0
//         number has been printed in binary (base 2) form
//     ELSE
//         No action has taken place

{
    if (number > 0)
    {
        Convert(number / 2);                       // Recursive call
        cout << number % 2;
    }
    // Empty else-clause is the base case
}
